Package com.norconex.commons.lang.xml

# Enum Class XmlFormatter.Builder.AttributeWrap

java.lang.Object
java.lang.Enum<XmlFormatter.Builder.AttributeWrap>
com.norconex.commons.lang.xml.XmlFormatter.Builder.AttributeWrap

All Implemented Interfaces:
  `Serializable`, `Comparable<XmlFormatter.Builder.AttributeWrap>`, `Constable`

Enclosing class:
  `XmlFormatter.Builder`

public static enum XmlFormatter.Builder.AttributeWrap extends Enum<XmlFormatter.Builder.AttributeWrap>

- ## Nested Class Summary

  ## Nested classes/interfaces inherited from class java.lang.Enum

  `Enum.EnumDesc<E extends Enum<E>>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALL`
  Wrap ALL attributes (one per line).
  `AT_MAX`
  Wrap attributes only when `XmlFormatter.Builder.maxLineLength(int)` is reached (respecting `XmlFormatter.Builder.minTextLength(int)`), keeping as many attributes as possible on each line.
  `AT_MAX_ALL`
  Wrap attributes only when `XmlFormatter.Builder.maxLineLength(int)` is reached, but putting them all on their own line.
  `NONE`
  Never wrap attributes (ignoring `XmlFormatter.Builder.maxLineLength(int)`).

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static XmlFormatter.Builder.AttributeWrap`
  `valueOf(String name)`
  Returns the enum constant of this class with the specified name.
  `static XmlFormatter.Builder.AttributeWrap[]`
  `values()`
  Returns an array containing the constants of this enum class, in the order they are declared.

  ### Methods inherited from class java.lang.Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class java.lang.Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### ALL

    public static final XmlFormatter.Builder.AttributeWrap ALL
    Wrap ALL attributes (one per line).

  - ### NONE

    public static final XmlFormatter.Builder.AttributeWrap NONE
    Never wrap attributes (ignoring `XmlFormatter.Builder.maxLineLength(int)`).

  - ### AT_MAX

    public static final XmlFormatter.Builder.AttributeWrap AT_MAX
    Wrap attributes only when `XmlFormatter.Builder.maxLineLength(int)` is reached (respecting `XmlFormatter.Builder.minTextLength(int)`), keeping as many attributes as possible on each line.

  - ### AT_MAX_ALL

    public static final XmlFormatter.Builder.AttributeWrap AT_MAX_ALL
    Wrap attributes only when `XmlFormatter.Builder.maxLineLength(int)` is reached, but putting them all on their own line.

- ## Method Details

  - ### values

    public static XmlFormatter.Builder.AttributeWrap[] values()
    Returns an array containing the constants of this enum class, in the order they are declared.
    Returns:
      an array containing the constants of this enum class, in the order they are declared

  - ### valueOf

    public static XmlFormatter.Builder.AttributeWrap valueOf(String name)
    Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum class has no constant with the specified name
      `NullPointerException` - if the argument is null